unit pnr2;
{
Public News Reader (C)1998 Paul Toth <tothpaul@mygale.org>
http://www.mygale.org/~tothpaul
http://ourworld.compuserve.com/HomePages/paultoth

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, d3checklst, Thrdsock, ExtCtrls;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    OK: TButton;
    Cancel: TButton;
    Panel2: TPanel;
    GroupList: TCheckListBox;
    procedure FormShow(Sender: TObject);
    procedure CancelClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    NNTP:TThrdNNTP;
  end;

var
  Form2: TForm2;

implementation

uses
 pnr1; // Ini:TIniFile;

{$R *.DFM}

procedure TForm2.FormShow(Sender: TObject);
begin
 Caption:=NNTP.Server;
 NNTP.ListGroup;
end;

procedure TForm2.CancelClick(Sender: TObject);
begin
 NNTP.CancelRequest;
end;

procedure TForm2.OKClick(Sender: TObject);
var
 i:integer;
 old:TStringList;
begin
 old:=TStringList.Create;
 Ini.ReadSectionValues(Caption,old);
 Ini.EraseSection(Caption);
 with GroupList do begin
  for i:=0 to Items.Count-1 do begin
   if Checked[i] then Ini.WriteString(Caption,Items[i],Old.Values[Items[i]]);
  end; 
 end;
 old.Free;
end;

end.
